<?xml version="1.0" encoding="UTF-8"?>
<!--
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
-->
<menu:menubar xmlns:menu="http://openoffice.org/2001/menu" menu:id="menubar">
    <menu:menu menu:id=".uno:PickList">
        <menu:menupopup>
            <menu:menuitem menu:id=".uno:AddDirect"/>
            <menu:menuitem menu:id=".uno:OpenFromCalc"/>
            <menu:menuitem menu:id=".uno:RecentFileList"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:AutoPilotMenu"/>
            <menu:menuseparator/>
            <menu:menu menu:id=".uno:TemplateMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:SaveAsTemplate"/>
                    <menu:menuitem menu:id=".uno:NewDoc"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:CloseDoc"/>
            <menu:menuitem menu:id=".uno:Save"/>
            <menu:menuitem menu:id=".uno:SaveAs"/>
            <menu:menuitem menu:id=".uno:SaveACopy"/>
            <menu:menuitem menu:id=".uno:SaveAll"/>
            <menu:menuitem menu:id=".uno:CheckOut"/>
            <menu:menuitem menu:id=".uno:CancelCheckOut"/>
            <menu:menuitem menu:id=".uno:CheckIn"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:Reload"/>
            <menu:menuitem menu:id=".uno:VersionDialog"/>
            <!-- .uno:Collaborate menuitem, see CustomTarget_uiconfig.mk -->
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:ExportTo"/>
            <menu:menuitem menu:id=".uno:ExportToPDF"/>
            <menu:menu menu:id=".uno:SendTo">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:SendMail"/>
                    <menu:menuitem menu:id=".uno:SendMailDocAsOOo"/>
                    <menu:menuitem menu:id=".uno:SendMailDocAsMS"/>
                    <menu:menuitem menu:id=".uno:SendMailDocAsPDF"/>
                    <menu:menuitem menu:id=".uno:SendViaBluetooth"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:SetDocumentProperties"/>
            <menu:menuitem menu:id=".uno:Signature"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:WebHtml"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:PrintPreview"/>
            <menu:menuitem menu:id=".uno:Print"/>
            <menu:menuitem menu:id=".uno:PrinterSetup"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:Quit"/>
        </menu:menupopup>
    </menu:menu>
    <menu:menu menu:id=".uno:EditMenu">
        <menu:menupopup>
            <menu:menuitem menu:id=".uno:Undo"/>
            <menu:menuitem menu:id=".uno:Redo"/>
            <menu:menuitem menu:id=".uno:Repeat"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:Cut"/>
            <menu:menuitem menu:id=".uno:Copy"/>
            <menu:menuitem menu:id=".uno:Paste"/>
            <menu:menuitem menu:id=".uno:PasteSpecial"/>
            <menu:menuitem menu:id=".uno:SelectAll"/>
            <menu:menuseparator/>
            <menu:menu menu:id=".uno:ChangesMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:TraceChangeMode"/>
                    <menu:menuitem menu:id=".uno:ProtectTraceChangeMode"/>
                    <menu:menuitem menu:id=".uno:ShowChanges"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:AcceptChanges"/>
                    <menu:menuitem menu:id=".uno:CommentChange"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:MergeDocuments"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuitem menu:id=".uno:CompareDocuments"/>
            <menu:menuitem menu:id="vnd.sun.star.findbar:FocusToFindbar"/>
            <menu:menuitem menu:id=".uno:SearchDialog"/>
            <menu:menuitem menu:id=".uno:EditHeaderAndFooter"/>
            <menu:menuseparator/>
            <menu:menu menu:id=".uno:FillCellsMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:FillDown"/>
                    <menu:menuitem menu:id=".uno:FillRight"/>
                    <menu:menuitem menu:id=".uno:FillUp"/>
                    <menu:menuitem menu:id=".uno:FillLeft"/>
                    <menu:menuitem menu:id=".uno:FillTable"/>
                    <menu:menuitem menu:id=".uno:FillSeries"/>
                    <menu:menuitem menu:id=".uno:RandomNumberGeneratorDialog"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuitem menu:id=".uno:Delete"/>
            <menu:menuitem menu:id=".uno:DeleteCell"/>
            <menu:menu menu:id=".uno:EditSheetMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:Move"/>
                    <menu:menuitem menu:id=".uno:SelectTables"/>
                    <menu:menuitem menu:id=".uno:Remove"/>
                    <menu:menuitem menu:id=".uno:TableEvents"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:DelBreakMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:DeleteRowbreak"/>
                    <menu:menuitem menu:id=".uno:DeleteColumnbreak"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:EditLinks"/>
            <menu:menuitem menu:id=".uno:PlugInsActive"/>
            <menu:menuitem menu:id=".uno:ImageMapDialog"/>
            <menu:menuitem menu:id=".uno:ObjectMenue"/>
        </menu:menupopup>
    </menu:menu>
    <menu:menu menu:id=".uno:ViewMenu">
        <menu:menupopup>
            <menu:menuitem menu:id=".uno:NormalViewMode" menu:style="radio"/>
            <menu:menuitem menu:id=".uno:PagebreakMode"  menu:style="radio"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:AvailableToolbars"/>
            <menu:menuitem menu:id=".uno:InputLineVisible"/>
            <menu:menuitem menu:id=".uno:StatusBarVisible"/>
            <menu:menuitem menu:id=".uno:ShowImeStatusWindow"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:ViewRowColumnHeaders"/>
            <menu:menuitem menu:id=".uno:ViewValueHighlighting"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:ViewDataSourceBrowser"/>
            <menu:menuitem menu:id=".uno:Navigator"/>
      <menu:menuitem menu:id=".uno:Sidebar"/>
      <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:FullScreen"/>
            <menu:menu menu:id=".uno:ZoomMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:ZoomPage"/>
                    <menu:menuitem menu:id=".uno:ZoomPageWidth"/>
                    <menu:menuitem menu:id=".uno:ZoomOptimal"/>
                    <menu:menuitem menu:id=".uno:Zoom50Percent"/>
                    <menu:menuitem menu:id=".uno:Zoom75Percent"/>
                    <menu:menuitem menu:id=".uno:Zoom100Percent"/>
                    <menu:menuitem menu:id=".uno:Zoom150Percent"/>
                    <menu:menuitem menu:id=".uno:Zoom200Percent"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:Zoom"/>
                </menu:menupopup>
            </menu:menu>
        </menu:menupopup>
    </menu:menu>
    <menu:menu menu:id=".uno:InsertMenu">
        <menu:menupopup>
            <menu:menu menu:id=".uno:InsertBreakMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:InsertRowBreak"/>
                    <menu:menuitem menu:id=".uno:InsertColumnBreak"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuitem menu:id=".uno:InsertCell"/>
            <menu:menuitem menu:id=".uno:InsertRows"/>
            <menu:menuitem menu:id=".uno:InsertColumns"/>
            <menu:menuitem menu:id=".uno:Insert"/>
            <menu:menuitem menu:id=".uno:InsertSheetFromFile"/>
            <menu:menuitem menu:id=".uno:InsertExternalDataSource"/>
            <menu:menuitem menu:id=".uno:InsertSymbol"/>
            <menu:menu menu:id=".uno:FormattingMarkMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:InsertNonBreakingSpace"/>
                    <menu:menuitem menu:id=".uno:InsertHardHyphen"/>
                    <menu:menuitem menu:id=".uno:InsertSoftHyphen"/>
                    <menu:menuitem menu:id=".uno:InsertZWSP"/>
                    <menu:menuitem menu:id=".uno:InsertZWNBSP"/>
                    <menu:menuitem menu:id=".uno:InsertLRM"/>
                    <menu:menuitem menu:id=".uno:InsertRLM"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuitem menu:id=".uno:HyperlinkDialog"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:FunctionDialog"/>
            <menu:menuitem menu:id=".uno:FunctionBox"/>
            <menu:menuseparator/>
            <menu:menu menu:id=".uno:NamesMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:AddName"/>
                    <menu:menuitem menu:id=".uno:DefineName"/>
                    <menu:menuitem menu:id=".uno:InsertName"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:CreateNames"/>
                    <menu:menuitem menu:id=".uno:DefineLabelRange"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuitem menu:id=".uno:InsertAnnotation"/>
            <menu:menuseparator/>
            <menu:menu menu:id=".uno:GraphicMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:InsertGraphic"/>
                    <menu:menuitem menu:id=".uno:FontworkGalleryFloater"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:ObjectMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:InsertObject"/>
                    <menu:menuitem menu:id=".uno:InsertPlugin"/>
                    <menu:menuitem menu:id=".uno:InsertSound"/>
                    <menu:menuitem menu:id=".uno:InsertVideo"/>
                    <menu:menuitem menu:id=".uno:InsertObjectStarMath"/>
                    <menu:menuitem menu:id=".uno:InsertObjectChart"/>
                    <menu:menuitem menu:id=".uno:InsertObjectChartFromFile"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuitem menu:id=".uno:InsertAVMedia"/>
            <menu:menuitem menu:id=".uno:InsertObjectFloatingFrame"/>
        </menu:menupopup>
    </menu:menu>
    <menu:menu menu:id=".uno:FormatMenu">
        <menu:menupopup>
            <menu:menuitem menu:id=".uno:ResetAttributes"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:FormatCellDialog"/>
            <menu:menu menu:id=".uno:RowMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:RowHeight"/>
                    <menu:menuitem menu:id=".uno:SetOptimalRowHeight"/>
                    <menu:menuitem menu:id=".uno:HideRow"/>
                    <menu:menuitem menu:id=".uno:ShowRow"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:ColumnMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:ColumnWidth"/>
                    <menu:menuitem menu:id=".uno:SetOptimalColumnWidth"/>
                    <menu:menuitem menu:id=".uno:HideColumn"/>
                    <menu:menuitem menu:id=".uno:ShowColumn"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:SheetMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:RenameTable"/>
                    <menu:menuitem menu:id=".uno:Hide"/>
                    <menu:menuitem menu:id=".uno:Show"/>
                    <menu:menuitem menu:id=".uno:SheetRightToLeft"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:SetTabBgColor"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:MergeCellsMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:ToggleMergeCells"/>
                    <menu:menuitem menu:id=".uno:MergeCells"/>
                    <menu:menuitem menu:id=".uno:SplitCell"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:PageFormatDialog"/>
            <menu:menu menu:id=".uno:PrintRangesMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:DefinePrintArea"/>
                    <menu:menuitem menu:id=".uno:AddPrintArea"/>
                    <menu:menuitem menu:id=".uno:DeletePrintArea"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:EditPrintArea"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:FontDialog"/>
            <menu:menuitem menu:id=".uno:ParagraphDialog"/>
            <menu:menu menu:id=".uno:TransliterateMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:ChangeCaseToSentenceCase"/>
                    <menu:menuitem menu:id=".uno:ChangeCaseToLower"/>
                    <menu:menuitem menu:id=".uno:ChangeCaseToUpper"/>
                    <menu:menuitem menu:id=".uno:ChangeCaseToTitleCase"/>
                    <menu:menuitem menu:id=".uno:ChangeCaseToToggleCase"/>
                    <menu:menuitem menu:id=".uno:ChangeCaseToHalfWidth"/>
                    <menu:menuitem menu:id=".uno:ChangeCaseToFullWidth"/>
                    <menu:menuitem menu:id=".uno:ChangeCaseToHiragana"/>
                    <menu:menuitem menu:id=".uno:ChangeCaseToKatakana"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuitem menu:id=".uno:DesignerDialog"/>
            <menu:menuitem menu:id=".uno:AutoFormat"/>
            <menu:menu menu:id=".uno:ConditionalFormatMenu">
              <menu:menupopup>
                <menu:menuitem menu:id=".uno:ConditionalFormatDialog"/>
                <menu:menuitem menu:id=".uno:ColorScaleFormatDialog"/>
                <menu:menuitem menu:id=".uno:DataBarFormatDialog"/>
                <menu:menuitem menu:id=".uno:IconSetFormatDialog"/>
                <menu:menuitem menu:id=".uno:CondDateFormatDialog"/>
                <menu:menuseparator/>
                <menu:menuitem menu:id=".uno:ConditionalFormatManagerDialog"/>
              </menu:menupopup>
            </menu:menu>
            <menu:menuseparator/>
            <menu:menu menu:id=".uno:AnchorMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:SetAnchorToPage" menu:style="radio"/>
                    <menu:menuitem menu:id=".uno:SetAnchorToCell" menu:style="radio"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:ObjectAlign">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:CommonAlignHorizontalDefault" menu:style="radio"/>
                    <menu:menuitem menu:id=".uno:CommonAlignLeft" menu:style="radio"/>
                    <menu:menuitem menu:id=".uno:CommonAlignHorizontalCenter" menu:style="radio"/>
                    <menu:menuitem menu:id=".uno:CommonAlignRight" menu:style="radio"/>
                    <menu:menuitem menu:id=".uno:CommonAlignJustified" menu:style="radio"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:CommonAlignTop" menu:style="radio"/>
                    <menu:menuitem menu:id=".uno:CommonAlignVerticalCenter" menu:style="radio"/>
                    <menu:menuitem menu:id=".uno:CommonAlignBottom" menu:style="radio"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:ArrangeMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:BringToFront"/>
                    <menu:menuitem menu:id=".uno:ObjectForwardOne"/>
                    <menu:menuitem menu:id=".uno:ObjectBackOne"/>
                    <menu:menuitem menu:id=".uno:SendToBack"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:SetObjectToForeground"/>
                    <menu:menuitem menu:id=".uno:SetObjectToBackground"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:FlipMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:ObjectMirrorVertical"/>
                    <menu:menuitem menu:id=".uno:ObjectMirrorHorizontal"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:GroupMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:FormatGroup"/>
                    <menu:menuitem menu:id=".uno:FormatUngroup"/>
                    <menu:menuitem menu:id=".uno:EnterGroup"/>
                    <menu:menuitem menu:id=".uno:LeaveGroup"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:DrawGraphicMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:TransformDialog"/>
                    <menu:menuitem menu:id=".uno:FormatLine"/>
                    <menu:menuitem menu:id=".uno:FormatArea"/>
                    <menu:menuitem menu:id=".uno:TextAttributes"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:ToggleObjectBezierMode"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuitem menu:id=".uno:ControlProperties"/>
            <menu:menuitem menu:id=".uno:FormProperties"/>
        </menu:menupopup>
    </menu:menu>
    <menu:menu menu:id=".uno:ToolsMenu">
        <menu:menupopup>
            <menu:menuitem menu:id=".uno:SpellDialog"/>
            <menu:menu menu:id=".uno:LanguageMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:HangulHanjaConversion"/>
                    <menu:menuitem menu:id=".uno:ChineseConversion"/>
                    <menu:menuitem menu:id=".uno:ThesaurusDialog"/>
                    <menu:menuitem menu:id=".uno:Hyphenate"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:MoreDictionaries"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:AuditMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:ShowPrecedents"/>
                    <menu:menuitem menu:id=".uno:ClearArrowPrecedents"/>
                    <menu:menuitem menu:id=".uno:ShowDependents"/>
                    <menu:menuitem menu:id=".uno:ClearArrowDependents"/>
                    <menu:menuitem menu:id=".uno:ClearArrows"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:ShowErrors"/>
                    <menu:menuitem menu:id=".uno:ShowInvalid"/>
                    <menu:menuitem menu:id=".uno:RefreshArrows"/>
                    <menu:menuitem menu:id=".uno:AutoRefreshArrows"/>
                    <menu:menuitem menu:id=".uno:AuditingFillMode"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuitem menu:id=".uno:GoalSeekDialog"/>
            <menu:menuitem menu:id=".uno:SolverDialog"/>
            <menu:menuitem menu:id=".uno:ScenarioManager"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:ShareDocument"/>
            <menu:menuitem menu:id=".uno:MergeDocuments"/>
            <menu:menu menu:id=".uno:ProtectMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:Protect"/>
                    <menu:menuitem menu:id=".uno:ToolProtectionDocument"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuseparator/>
            <menu:menu menu:id=".uno:CellContentsMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:Calculate"/>
                    <menu:menuitem menu:id=".uno:AutomaticCalculation"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:AutoComplete"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:Gallery"/>
            <menu:menuseparator/>
            <menu:menu menu:id=".uno:MacrosMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:MacroRecorder"/>
                    <menu:menuitem menu:id=".uno:RunMacro"/>
                    <menu:menu menu:id=".uno:ScriptOrganizer"/>
                    <menu:menuitem menu:id=".uno:MacroSignature"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:MacroOrganizer?TabId:short=1"/>
                </menu:menupopup>
            </menu:menu>

            <menu:menuitem menu:id="service:com.sun.star.deployment.ui.PackageManagerDialog"/>

            <menu:menuitem menu:id=".uno:OpenXMLFilterSettings"/>
            <menu:menuitem menu:id=".uno:AutoCorrectDlg"/>
            <menu:menuitem menu:id=".uno:ConfigureDialog"/>
            <menu:menuitem menu:id=".uno:OptionsTreeDialog"/>
        </menu:menupopup>
    </menu:menu>
    <menu:menu menu:id=".uno:DataMenu">
        <menu:menupopup>
            <menu:menuitem menu:id=".uno:DefineDBName"/>
            <menu:menuitem menu:id=".uno:SelectDB"/>
            <menu:menuitem menu:id=".uno:DataAreaRefresh"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:DataStreams"/>
            <menu:menuitem menu:id=".uno:ManageXMLSource"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:DataSort"/>
            <menu:menu menu:id=".uno:FilterMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:DataFilterAutoFilter"/>
                    <menu:menuitem menu:id=".uno:DataFilterStandardFilter"/>
                    <menu:menuitem menu:id=".uno:DataFilterSpecialFilter"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:DataFilterRemoveFilter"/>
                    <menu:menuitem menu:id=".uno:DataFilterHideAutoFilter"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menuitem menu:id=".uno:DataForm"/>
            <menu:menuitem menu:id=".uno:DataSubTotals"/>
            <menu:menuitem menu:id=".uno:Validation"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:TableOperationDialog"/>
            <menu:menuitem menu:id=".uno:TextToColumns"/>
            <menu:menuitem menu:id=".uno:DataConsolidate"/>
            <menu:menu menu:id=".uno:GroupOutlineMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:HideDetail"/>
                    <menu:menuitem menu:id=".uno:ShowDetail"/>
                    <menu:menuitem menu:id=".uno:Group"/>
                    <menu:menuitem menu:id=".uno:Ungroup"/>
                    <menu:menuseparator/>
                    <menu:menuitem menu:id=".uno:AutoOutline"/>
                    <menu:menuitem menu:id=".uno:ClearOutline"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:DataPilotMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:DataDataPilotRun"/>
                    <menu:menuitem menu:id=".uno:RecalcPivotTable"/>
                    <menu:menuitem menu:id=".uno:DeletePivotTable"/>
                </menu:menupopup>
            </menu:menu>
            <menu:menu menu:id=".uno:StatisticsMenu">
                <menu:menupopup>
                    <menu:menuitem menu:id=".uno:SamplingDialog"/>
                    <menu:menuitem menu:id=".uno:DescriptiveStatisticsDialog"/>
                    <menu:menuitem menu:id=".uno:AnalysisOfVarianceDialog"/>
                    <menu:menuitem menu:id=".uno:CorrelationDialog"/>
                    <menu:menuitem menu:id=".uno:CovarianceDialog"/>
                    <menu:menuitem menu:id=".uno:ExponentialSmoothingDialog"/>
                    <menu:menuitem menu:id=".uno:MovingAverageDialog"/>
                    <menu:menuitem menu:id=".uno:TTestDialog"/>
                    <menu:menuitem menu:id=".uno:FTestDialog"/>
                </menu:menupopup>
            </menu:menu>
        </menu:menupopup>
    </menu:menu>
    <menu:menu menu:id=".uno:WindowList">
        <menu:menupopup>
            <menu:menuitem menu:id=".uno:NewWindow"/>
            <menu:menuitem menu:id=".uno:CloseWin"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:SplitWindow"/>
            <menu:menuitem menu:id=".uno:FreezePanes"/>
        </menu:menupopup>
    </menu:menu>
    <menu:menu menu:id=".uno:HelpMenu">
        <menu:menupopup>
            <menu:menuitem menu:id=".uno:HelpIndex"/>
            <menu:menuitem menu:id=".uno:ExtendedHelp"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:SendFeedback"/>
            <menu:menuseparator/>
            <menu:menuitem menu:id=".uno:ShowLicense"/>
            <menu:menuitem menu:id=".uno:About"/>
        </menu:menupopup>
    </menu:menu>
</menu:menubar>
